/*--------------------------------------------------------------
  navigation
--------------------------------------------------------------*/
/* 481px以上の表示の際 */
@media screen and ( min-width: 481px ) {

  /* ナビゲーションの大枠 */
  .header__nav,
  .footer__nav {
    width: 100%;
    border-top: 1px solid #e5e5e5;
    border-bottom: 1px solid #e5e5e5;
    background: #ffffff;
    background: -moz-linear-gradient(top, #ffffff 50%, #e5e5e5 100%);
    background: -webkit-linear-gradient(top, #ffffff 50%, #e5e5e5 100%);
    background: linear-gradient(to bottom, #ffffff 50%, #e5e5e5 100%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#ffffff', endColorstr='#e5e5e5',GradientType=0 );
  }

  /* ナビゲーションの枠 */
  .nav {
    width: 1000px;
    margin: 0 auto;
    padding: 0;
  }

  /* ナビゲーションのリストの設定 */
  .nav li {
    border-left: 1px solid #ccc;
    margin: 0;
    line-height: 1;
    position: relative;
    z-index: 20;
    width: 200px;
    float: left;
    list-style: none;
    box-sizing: border-box;
  }

  /* ナビゲーションのリンクの設定 */
  .nav li a {
    text-decoration: none;
    border-left: 1px solid #fff;
    box-sizing: border-box;
    display: block;
  }

  .nav li a .menu__title {
    color: #333;
  }

  .nav li:last-child {
    border-right: 1px solid #fff;
  }

  .nav li:last-child a {
    border-right: 1px solid #ccc;
  }

  .menu__title {
    display: block;
    margin-bottom: 5px;
  }

  /* メニューの説明 */
  .menu__explanation {
    display: block;
    font-size: 11px;
    font-size: 1.1rem;
    font-weight: bold;
    color: #1bcddb;
  }

  /*現在のページの設定*/
  .nav li a:hover,
  .current-menu-item a {
    width: 100%;
    display: block;
    position: relative;
  }

  .nav li a:hover::before,
  .current-menu-item a::before {
    content: '';
    position: absolute;
    width: 100%;
    height: 5px;
    background: #1bcddb;
    left: 0;
    bottom: 0;
  }

  .nav li a:hover::after,
  .current-menu-item a::after {
    content: '';
    position: absolute;
    bottom: 5px;
    left: 50%;
    margin-left: -8px;
    display: block;
    width: 0;
    height: 0;
    border-right: 8px solid transparent;
    border-bottom: 8px solid #1bcddb;
    border-left: 8px solid transparent;
  }

  /*ホバー時の設定*/
  .nav > li > a:hover,
  .nav > li > a:focus {
    background-color: initial;
    position: relative;
  }

  .nav > li > a:hover::before,
  .nav > li > a:focus::before {
    content: '';
    position: absolute;
    width: 100%;
    height: 5px;
    background: #1bcddb;
    left: 0;
    bottom: 0;
  }

  /*480以上のナビゲーションの設定*/
  .nav {
    width: 1000px;
    margin: 0 auto;
  }

  .nav li {
    text-align: center;
  }

  /*ナビゲーションのリストの設定　６枠の設定　減らす場合は幅の調整が必要*/
  .nav > li {
    width: 200px;
    float: left;
  }

  /*ナビゲーションのリンクの設定*/
  .nav > li > a {
    padding: 14px 0;
  }

  .nav > li > a:hover {
    background: #ffffff;
    background: #e5e5e5; /* Old browsers */
    background: -moz-linear-gradient(top,  #e5e5e5 0%, #ffffff 25%); /* FF3.6-15 */
    background: -webkit-linear-gradient(top,  #e5e5e5 0%,#ffffff 25%); /* Chrome10-25,Safari5.1-6 */
    background: linear-gradient(to bottom,  #e5e5e5 0%,#ffffff 25%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#e5e5e5', endColorstr='#ffffff',GradientType=0 ); /* IE6-9 */
  }

  .header__nav .toggle {
    display: none;
  }
}

@media screen and (max-width: 480px) {

  /*スマホ用設定*/
  .header__nav .toggle {
    display: block;
    color: #fff;
    margin: 0 15px 10px;
    text-align: center;
    line-height: 50px;
    border-radius: 5px;
    font-weight: bold;
    background-color: #1bcddb;
  }

  /* メニューの非表示 */
  .header__nav .nav {
    display: none;
    background: #fdfdfd;
    margin: 0 0 30px;
    padding: 5px 0;
  }

  /* メニューの説明 */
  .menu__explanation {
    display: none;
  }

  .header__nav .nav li {
    list-style: none;
    margin: 5px 15px;
    padding: 0;
  }
  .header__nav .nav li a {
    text-align: center;
    line-height: 50px;
    text-decoration: none;
    display: block;
    border: 3px solid #e9e9e9;
    box-sizing: border-box;
  }

  /*480px以下のナビゲーションの設定*/
  /*入れ子ナビの表示の設定*/
  .nav li .sub-menu {
    position: relative;
    top: 0;
    opacity: 1;
  }

  /*入れ子ナビのリストの設定*/
  .nav li .sub-menu li {
    padding-left: 20px;
  }

  /*入れ子ナビのリストのリンクの設定*/
  .nav li .sub-menu li a {
    padding-left: 20px;
  }

  /*入れ子ナビの表示の設定*/
  .nav li:hover .sub-menu {
    top: 0;
    transition: 0.3s all;
    opacity: 1;
  }

  .footer__nav {
    display: none;
  }

}

/*ナビゲーションの入れ子ナビの設定*/
.nav li .sub-menu {
  position: absolute;
  padding: 0;
  margin: 0;
  top: 50px;
  left: 0;
  box-sizing: border-box;
  z-index: 200;
  opacity: 0;
}

/*入れ子ナビのリンクの設定*/
.nav li .sub-menu li a {
  display: block;
  height: 50px;
  line-height: 50px;
}

/*入れ子ナビの表示の設定*/
.nav li .sub-menu:hover .sub-menu {
  top: 50px;
  transition: 0.3s all;
  opacity: 1;
}

/*入れ子ナビの一番下の設定*/
.nav li .sub-menu:last-child a {
  border-bottom-right-radius: 5px;
  border-bottom-left-radius: 5px;
}
